Bug 243142 - Composite extension handling in Xvfb is corrupted
Composite extension handling in Xvfb is corrupted
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2007-06-07 10:57 EDT by Adam Tkac
Modified: 2013-04-30 19:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:28:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2007-06-07 10:57:42 EDT
Description of problem:
I did investigations about bug #242280 and found that Xvfb have same problems.

Version-Release number of selected component (if applicable):
rpm -q xorg-x11-server-Xvfb

How reproducible:

Steps to Reproduce:
1. run Xvfb :1 -ac -screen 0 800x600x16
2. run WindowMaker there (export DISPLAY=:1; wmaker)
3. try dump framebuffer (xwd -root -display :1 |xwud)
Actual results:
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  91 (X_QueryColors)
  Value in failed request:  0xffff0540
  Serial number of failed request:  276
  Current serial number in output stream:  276

Expected results:
succesful framebuffer-dump

Additional info:
works fine when you
  - disable Composite extension
  - run in 8bpp mode instead 16bpp (with Composite)
  - shutdown wmaker

This badly affect Xvnc and causes screen-corruption (see attachments to bug #242280)
Comment 1 Matěj Cepl 2007-09-04 10:17:26 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Adam Jackson 2007-09-04 11:13:09 EDT
Those won't be helpful; Xvfb doesn't have a config or log file.
Comment 3 Matěj Cepl 2007-09-04 11:29:45 EDT
Already found out ... just was in mid-air collision when admitting it. OK, so
this is for you, ajax.
Comment 4 Bug Zapper 2008-05-14 08:53:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:28:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.